import axiosApi from './AxiosApi.js'

const apiList = {
  getPlatformTemplate: `/cmsTemplate/getPlatformTemplate`,
  updateTemplate: '/cmsTemplate/updateTemplate',
  getCmsTemplate: '/cmsTemplate/',
  getStorePage: '/store/findStoreListForPlatform'
}
export default {
  getStorePage(data) {
    return axiosApi({
      method: 'POST',
      url: apiList.getStorePage,
      data
    })
  },
  getCmsTemplate(id) {
    return axiosApi({
      method: 'GET',
      url: apiList.getCmsTemplate + id
    })
  },
  getPlatformTemplate() {
    return axiosApi({
      method: 'GET',
      url: apiList.getPlatformTemplate
    })
  },
  updateTemplate(data) {
    return axiosApi({
      method: 'POST',
      url: apiList.updateTemplate,
      data
    })
  }
}
